%global momorel 9
%global date 20080310
%global srcname scim-qtimm
%global scimver 1.4.7
%global qtver 4.5.2
%global kdever 4.0.4
%global qtdir %{_libdir}/qt4
%global kdedir /usr

Name: scim-qtimm-qt4
Summary: SCIM context plugin for qt4-immodule
Version: 0.9.4
Release: 0.%{date}.%{momorel}m%{?dist}
Group: User Interface/X
License: GPLv2+
URL: http://www.scim-im.org/projects/scim_qtimm/
Source0: %{srcname}-%{date}.tar.bz2
Source1: http://dl.sourceforge.net/sourceforge/scons/scons-local-1.0.1.tar.gz
NoSource: 1
Patch0: disable-debug.diff
Patch1: bugzilla-206547-%{srcname}-crash.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: qt-x11 = %{qtver}
Requires: scim >= %{scimver}
BuildPreReq: qt-devel = %{qtver}
BuildPreReq: scim-devel >= %{scimver}
BuildPreReq: python
#BuildPreReq: scons

%description
SCIM context plugin for qt4-immodule.

%prep
%setup -q -n %{srcname}-%{date} -a 1

%patch0 -p1 -b .disable-debug
%patch1 -p1 -b .fix-crash

%build
export QTDIR=%{qtdir}

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./scons.py configure \
	prefix=%{_prefix} \
	libdir=%{_libdir} \
	qtincludes=%{_includedir} \
	qtlibs=%{_libdir} \
	datadir=%{buildroot}%{_datadir}

./scons.py %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
./scons.py install DESTDIR=%{buildroot}

# remove unneeded file
rm -f %{buildroot}/%{_libdir}/plugins/inputmethods/*.la

# move libqscim.so to correct space
mkdir -p %{buildroot}%{qtdir}/plugins/inputmethods
mv %{buildroot}%{_libdir}/plugins/inputmethods/libqscim.so %{buildroot}%{qtdir}/plugins/inputmethods/

# move edittest
mkdir -p %{buildroot}%{_bindir}
mv %{buildroot}/edittest %{buildroot}%{_bindir}/scim-qtimm-edittest

# conflicts with scim-qtimm-0.9.4-9m
rm -f %{buildroot}%{_datadir}/locale/*/LC_MESSAGES/scim-qtimm.mo

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
%{_bindir}/scim-qtimm-edittest
%{qtdir}/plugins/inputmethods/libqscim.so

%changelog
* Thu Jul 30 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.4-0.20080310-9m)
- rebuild against qt-4.5.2-1m

* Fri May  8 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.4-0.20080310-8m)
- rebuild against qt-4.5.1-1m

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.4-0.20080310.7m)
- rebuild against rpm-4.6

* Fri Jan  2 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.4-0.20080310.6m)
- use scons-local-1.0.1 instead of system scons-1.2.0
- License: GPLv2+

* Sun Oct 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.4-0.20080310.5m)
- rebuild against qt-4.4.3-1m
- specify qt version

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.4-0.20080310.4m)
- rebuild against qt-4.4.0-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.4-0.20080310.3m)
- rebuild against gcc43

* Tue Mar 11 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-0.20080310.2m)
- remove files conflicting with scim-qtimm-0.9.4-9m

* Mon Mar 10 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-0.20080310.1m)
- build module for qt4-immodule
- remove merged keyboard-layout.patch

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.4-9m)
- %%NoSource -> NoSource

* Tue Apr 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-8m)
- import bugzilla-206547-scim-qtimm-crash.patch from opensuse
 +* Fri Dec 22 2006 - zsu@suse.de
 +- Bugzilla #206547: Fix crash of many kde applications caused by
 +  scim-qtimm when closing/opening/switching application windows.
- import bugzilla-116220-keyboard-layout.patch from opensuse
 +* Mon Sep 12 2005 - mfabian@suse.de
 +- Bugzilla #116220: Fix a keyboard layout related bug in scim-qtimm

* Sat Mar 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-7m)
- use md5sum_src0

* Tue Feb 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-6m)
- remove libqscim.la

* Sun Jan 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-5m)
- rebuild against qt-3.3.7

* Tue Feb 21 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-4m)
- import disable-debug.diff from opensuse

* Mon Sep 19 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-3m)
- rebuild against qt-3.3.5-1m

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-2m)
- add --disable-rpath to configure
- remove kdelibs-devel from BuildPreReq

* Wed Aug 17 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-1m)
- update to 0.9.4

* Thu Aug 11 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.3-1m)
- update to 0.9.3
- remove 64bit.patch
- remove disable-debug.diff
- remove nokdelibsuff.patch

* Mon Jun 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.95-2m)
- add --with-qt-libraries=%%{qtdir}/lib to configure

* Sun May 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.95-1m)
- update to 0.8.95 (minor bug fix release)
- change URL

* Tue Apr 26 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.9-1m)
- update to 0.8.9 (bug fix release)
- add scim-qtimm-0.8.9-nokdelibsuff.patch

* Fri Mar 18 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.5-0.20050317.1m)
- update to 20050317 CVS snapshot
- update Patch0: 64bit.patch

* Thu Mar 17 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.5-2m)
- correct Requires and BuildPreReq

* Thu Mar  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.5-1m)
- update to 0.8.5
- import 64bit.patch and disable-debug.diff from SUSE
  pub/projects/m17n/9.2/src/scim-qtimm-0.8.5-2.1.src.rpm

* Mon Feb 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.0-1m)
- initial package for Momonga Linux

* Thu Jul 17 2004 LiuCougar <liuspider@users.sourceforge.net> 0.5-0.r10.1
- update the version

* Thu Jul 15 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-0.r03.3
- spec for official scim-qtimm

* Mon Jul 12 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-0.r03.2ut
- fix URL
- remove Conflicts

* Tue Jul 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.1-0.r03.1mdk
- fix buildrequires
- initial spec for mdk (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
